Skip to content

Get Publication

GET
/api/v1/social-publications/{social_post_id}
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/social-publications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'X-API-Key: <X-API-Key>'
social_post_id
required
Social Post Id
string format: uuid

Successful Response

Media typeapplication/json
SocialPostResponse

Response body for a single social post.

object
calendar_entry_id
Any of:
string
character_count
Character Count
integer
0
content
required
Content
string
created_at
required
Created At
string format: date-time
formatted_content
Any of:
string
hashtags
Hashtags
Array
id
required
Id
string
media_urls
Media Urls
Array
performance_metrics
Performance Metrics
object
key
additional properties
any
platform
required
Platform
string
platform_post_id
Any of:
string
published_at
Any of:
string format: date-time
scheduled_for
Any of:
string format: date-time
status
required
Status
string
tenant_id
required
Tenant Id
string
updated_at
required
Updated At
string format: date-time
Example
{
"character_count": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}